import { BaseInputTimeDirective } from "../base-input-time/base-input-time-directive";
export declare class InputTimeComponent extends BaseInputTimeDirective {
    timeAsString: string;
    protected modelSet(): void;
    private setTimeAsString;
    handleTimeChange(value: string): void;
    handleClearIconClicked(): void;
}
